> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Payroll Journal Report

> Start an asynchronous job to generate a Payroll Journal report with a detailed breakdown of payroll checks processed within a date range.



## OpenAPI

````yaml openapi/zeal-api.json post /reports/payroll-journal
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /reports/payroll-journal:
    post:
      summary: Create Payroll Journal Report
      description: Create a payroll journal report.
      operationId: create-payroll-journal-report
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - start_date
                - end_date
                - companyID
                - media_type
              properties:
                start_date:
                  type: string
                  description: >-
                    The first check date this report should retrieve checks for.
                    Date should be in ISO-8601 format (YYYY-MM-DD).
                  format: date
                end_date:
                  type: string
                  description: >-
                    The last check date this report should retrieve checks for.
                    Date should be in ISO-8601 format (YYYY-MM-DD).
                  format: date
                companyID:
                  type: string
                  description: Zeal Company ID
                media_type:
                  type: string
                  description: >-
                    The type of format this report can be downloaded as. Payroll
                    Journals currently support "csv" and "pdf".
                  enum:
                    - csv
                    - pdf
                include_migrated:
                  type: boolean
                  description: Include migrated data in the report
                with_preview_data:
                  type: boolean
                  description: >-
                    Include preview data in the report (if `media_type` = `csv`
                    only)
            examples:
              Request Example:
                value:
                  start_date: '2022-01-01'
                  end_date: '2022-03-28'
                  companyID: fc235f012bae46aa8a082f357715bcfa
                  media_type: csv
                  include_migrated: false
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
                    data:
                      job_id: 76f8a4e0-f2a0-4dc0-9a1c-215e083de5eb
                      status: pending
                      request_body:
                        start_date: '2022-01-01'
                        end_date: '2022-03-28'
                        company_id: fc235f012bae46aa8a082f357715bcfa
                        media_type: csv
                        include_migrated: false
                        has_live_key: true
                        report_format: payroll_journal
                      created_at: '2023-12-25T18:52:43.138Z'
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                    default: true
                  data:
                    type: object
                    properties:
                      job_id:
                        type: string
                        example: 76f8a4e0-f2a0-4dc0-9a1c-215e083de5eb
                      status:
                        type: string
                        example: pending
                      request_body:
                        type: object
                        properties:
                          start_date:
                            type: string
                            example: '2022-01-01'
                          end_date:
                            type: string
                            example: '2022-03-28'
                          company_id:
                            type: string
                            example: fc235f012bae46aa8a082f357715bcfa
                          media_type:
                            type: string
                            example: csv
                          include_migrated:
                            type: boolean
                            example: false
                            default: true
                          has_live_key:
                            type: boolean
                            example: true
                            default: true
                          report_format:
                            type: string
                            example: payroll_journal
                      created_at:
                        type: string
                        example: '2023-12-25T18:52:43.138Z'
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: false
                    errors:
                      - message: Must provide a valid companyID
                        code: 50
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                    default: true
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: Must provide a valid companyID
                        code:
                          type: integer
                          example: 50
                          default: 0
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````